Index: tests/GuiChecks/Selection/Molecules/MoleculeById/testsuite-selection-select-molecule-by-id.at
===================================================================
--- tests/GuiChecks/Selection/Molecules/MoleculeById/testsuite-selection-select-molecule-by-id.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Selection/Molecules/MoleculeById/testsuite-selection-select-molecule-by-id.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
@@ -0,0 +1,67 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### 4. (un)select molecules by id
+
+
+AT_SETUP([Selection - Molecule by id])
+AT_KEYWORDS([selection molecule select-molecule-by-id])
+
+regressionpath="${abs_top_srcdir}/tests/regression/Selection/Molecules/MoleculeById"
+srcfile=box.xyz
+testfile=test.xyz
+targetfile=water_id2_4.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder --dry-run -i $testfile -I --select-molecule-by-id 2 4 -s $targetfile --no-dry-run --store-session session-selection-select-molecule-by-id.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-select-molecule-by-id.py >session-selection-select-molecule-by-id_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-select-molecule-by-id_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Selection - Molecule by id with Undo])
+AT_KEYWORDS([selection molecule select-molecule-by-id undo])
+
+regressionpath="${abs_top_srcdir}/tests/regression/Selection/Molecules/MoleculeById"
+srcfile=box.xyz
+testfile=test.xyz
+targetfile=empty.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder --dry-run -i $testfile -I --select-molecule-by-id 2 4 --undo -s $targetfile --no-dry-run --store-session session-selection-select-molecule-by-id.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-select-molecule-by-id.py >session-selection-select-molecule-by-id_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-select-molecule-by-id_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Selection - Molecule by id with Redo])
+AT_KEYWORDS([selection molecule select-molecule-by-id redo])
+
+regressionpath="${abs_top_srcdir}/tests/regression/Selection/Molecules/MoleculeById"
+srcfile=box.xyz
+testfile=test.xyz
+targetfile=water_id2_4.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder --dry-run -i $testfile -I --select-molecule-by-id 2 4 --undo --redo -s $targetfile --no-dry-run --store-session session-selection-select-molecule-by-id.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-select-molecule-by-id.py >session-selection-select-molecule-by-id_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-select-molecule-by-id_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
Index: tests/GuiChecks/Selection/Molecules/MoleculeById/testsuite-selection-unselect-molecule-by-id.at
===================================================================
--- tests/GuiChecks/Selection/Molecules/MoleculeById/testsuite-selection-unselect-molecule-by-id.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Selection/Molecules/MoleculeById/testsuite-selection-unselect-molecule-by-id.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
@@ -0,0 +1,66 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### 4. (un)select molecules by id
+
+
+AT_SETUP([Unselection - Molecule by id])
+AT_KEYWORDS([unselection molecule unselect-molecule-by-id])
+
+regressionpath="${abs_top_srcdir}/tests/regression/Selection/Molecules/MoleculeById"
+srcfile=box.xyz
+testfile=test.xyz
+targetfile=id2_4_missing.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder --dry-run -i $testfile -I --select-all-molecules --unselect-molecule-by-id 2 4 -s $targetfile --no-dry-run --store-session session-selection-unselect-molecule-by-id.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-unselect-molecule-by-id.py >session-selection-unselect-molecule-by-id_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-unselect-molecule-by-id_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Unselection - Molecule by id with Undo])
+AT_KEYWORDS([unselection molecule unselect-molecule-by-id undo])
+
+regressionpath="${abs_top_srcdir}/tests/regression/Selection/Molecules/MoleculeById"
+srcfile=box.xyz
+testfile=test.xyz
+targetfile=box.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder --dry-run -i $testfile -I --select-all-molecules --unselect-molecule-by-id 2 4 --undo -s $targetfile --no-dry-run --store-session session-selection-unselect-molecule-by-id.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-unselect-molecule-by-id.py >session-selection-unselect-molecule-by-id_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-unselect-molecule-by-id_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Unselection - Molecule by id with Redo])
+AT_KEYWORDS([unselection molecule unselect-molecule-by-id redo])
+
+regressionpath="${abs_top_srcdir}/tests/regression/Selection/Molecules/MoleculeById"
+srcfile=box.xyz
+testfile=test.xyz
+targetfile=id2_4_missing.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder --dry-run -i $testfile -I --select-all-molecules --unselect-molecule-by-id 2 4 --undo --redo -s $targetfile --no-dry-run --store-session session-selection-unselect-molecule-by-id.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-unselect-molecule-by-id.py >session-selection-unselect-molecule-by-id_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-unselect-molecule-by-id_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
